
Foreman - Bug #31821

Different current URL than in CA certificate subject

02/05/2021 11:47 AM - Leos Stejskal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Host registration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1921453 Red Hat JIRA:  

Pull request:    

Description

When user access Foreman by different URL than the URL from SSL CA file, registration will fail.

Steps to reproduce

(Foreman instance with set SSL to for example: 'foreman.example.com')

Go to localhost:3000

Generate registration command

Run registration

Registration fail due to certificate mismatch:

curl: (60) SSL: no alternative certificate subject name matches target host name '10.71.133.16'

 Fix:

(Need to confirm)

Generate URL from Settings, not from the current URL.

History

#1 - 03/18/2021 09:15 AM - Leos Stejskal

- Subject changed from Host Registration - Different current URL than in CA certificate subject to Different current URL than in CA certificate subject

#2 - 08/09/2021 01:07 PM - Leos Stejskal

- Status changed from New to Closed
